Page MenuHomePhabricator

Workflow/version management needed when Europeana reference wrong person in Wikidata and in Europeana
Closed, ResolvedPublic

Description

Status: closed as this is more a Europeana/Wikidata /?!?!? problem and the need of defining a better change process... see also feedback in en:Wikipedia about the quality of Europeana
Next step: Europeana or someone else....

The flow of linked data information is dependent that systems are coordinated and good controlled change management exists plus changes done need to be visible for the user. Compare Wikidata version history

  • eg. Gunnar Wennerberg looks like wrong connected in Europeana...

Gunnar Wennerberg 1817-10-02 - 1901-08-24 = Wikidata Q1388588 = en:Wikipedia Gunnar Wennerberg

This object is created at the Gustavsberg porcelain fabric and has a person associated with it

that I guess is not entity "agent/base/152204" Gunnar Wennerberg = Q1388588 instead it looks more a Gunnar Wennerberg who was the "leader" at Gustavsberg porcelain fabric called Gunnar Wennerberg see Swedish Wikipedia article Gunnar_G:son_Wennerberg and Wikidata item Q6339160

TODO Define a change process for errors like this that can track changes needed between more platforms/sources

  1. Problems I see
    1. Text string at Digital museum Gunnar Wennerberg not referencing an entity at Digital museum/kulturnav.org
      1. kulturnav.org is the linked data layer that should address text strings errors as Gunnar Wennerberg
        1. the mentioned object above is from "Värnersborgs museum" that I have not find a dataset for kulturnav.org
          1. TODO tell Värnersborgs museum email to create a linked data object for Gunnar Wennerberg at kulturnav.org~
            1. sent message see T240809#5744627
        2. kulturnav.org has him defined in two datasets from
          1. LSH: "Gunnar G:son Wennerberg [sv] - Deprecated" 5c50981c-bc91-4c54-9b23-35ec2d52e431
          2. Swedish Nationalmuseum: "Wennerberg, Gunnar G:son (1863 - 1914)" 2f04d1b8-fb0e-4a67-9189-e531b64f5cd3
    2. somewhere a mapping is done from text string "Gunnar Wennerberg" to agent/base/152204 that is wrong
      1. TODO: understand why and unlink it in Europeana
      2. TODO changes like this need to be seen in Europeana version history of changed object compare Wikidata version
    3. on the Europeana html page there is an id and a link to RDF kulturarvsdata: VM15770 that should be to a human readable page
      1. TODO speak with kulturarvsdata that they should implement content negotiation and deliver the html page for users in Europeana following the link kulturarvsdata VM15770
  2. Changes decided needs to be reflected and propagated to other platforms like Wikidata, the Europeana aggregator... the local museum/archive
    1. compare Wikidata Change Stream and API:RecentChanges
      1. how it used by e.g. Google see tweet
    2. SPARQL for finding merged objects in Wikidata tweet
      1. SPARQL showing Wikidata objects connected to Europeana merged in the last week - I guess we normally merge to lowest Qnumber but I guess its up to the person doing the merge....

SELECT ?EuropeanaEntity ?tgt ?change (REPLACE(STR(?item), ".*Q", "Q") AS ?qid) (REPLACE(STR(?tgt), ".*Q", "Q") AS ?tgtQid) ?tgtLabel  WHERE {
  ?tgt wdt:P7704 ?EuropeanaEntityID.
  ?item owl:sameAs ?tgt;
    schema:dateModified ?change.
  BIND((NOW()) - ?change AS ?date_range)
  FILTER(?date_range < 8 )
  BIND(URI(CONCAT("http://data.europeana.eu/", ?EuropeanaEntityID)) AS ?EuropeanaEntity)
  SERVICE wikibase:label { bd:serviceParam wikibase:language "en,de". }
}
ORDER BY DESC(?change)

Nota bene from the Linked data we can see that the correct Gunnar Wennerberg is the son of the one used in Europeana

Misc

Event Timeline

Salgo60 renamed this task from Workflow/versionmanagement needed when Europeana reference wrong person in Wikidata to Workflow/version management when Europeana reference wrong person in Wikidata.Dec 16 2019, 3:10 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Dec 16 2019, 3:23 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 3:27 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 4:13 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 4:15 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Dec 16 2019, 4:20 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 5:32 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 5:34 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 6:02 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Dec 16 2019, 9:37 AM
Salgo60 moved this task from Backlog to In progress on the Magnus Sälgö board.Dec 16 2019, 10:59 AM
Salgo60 updated the task description. (Show Details)Dec 16 2019, 3:58 PM

Added a note on the talk page of WikiProject_sum_of_all_paintings#Europeana_Entity that we need better change management and someone speaking with Europeana to define better change management to handle issues like above and T240738: More than 1200 Europeana Entities reference deleted Wikidata objects - task identify them but also Europeana need action....

Salgo60 updated the task description. (Show Details)Dec 17 2019, 10:39 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 10:53 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 10:57 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 11:14 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 11:50 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 11:54 AM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 12:37 PM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 12:44 PM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 1:14 PM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 2:11 PM
Salgo60 updated the task description. (Show Details)Dec 17 2019, 4:00 PM
Salgo60 updated the task description. (Show Details)Dec 19 2019, 8:11 AM
Salgo60 closed this task as Resolved.Dec 19 2019, 11:39 PM
Salgo60 moved this task from In progress to Done on the Magnus Sälgö board.
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Dec 20 2019, 12:04 AM
Salgo60 updated the task description. (Show Details)Dec 20 2019, 12:20 AM
Salgo60 updated the task description. (Show Details)Dec 20 2019, 5:39 PM
Salgo60 renamed this task from Workflow/version management when Europeana reference wrong person in Wikidata to Workflow/version management needed when Europeana reference wrong the person in Wikidata and in Europeana.Jan 4 2020, 10:03 PM
Salgo60 added a comment.EditedJan 4 2020, 11:12 PM

Other problems:

If we check on the source digitaltmuseum.se we can see that the photo was taken by "Carl Larsson" 1936 i.e. 17 years after the painter Carl Larsson passed away

This has been reported to digitaltmuseum.se as a feedback but I dont feel confident that Europeana will be updated and how I can follow the progress of my bug report

see also T241677#5775782 that some user question the quality of Europeana

Salgo60 renamed this task from Workflow/version management needed when Europeana reference wrong the person in Wikidata and in Europeana to Workflow/version management needed when Europeana reference wrong person in Wikidata and in Europeana.Jan 4 2020, 11:33 PM
Salgo60 updated the task description. (Show Details)
Salgo60 removed a subscriber: Scott_WUaS.

Another problem associating a pianist with a photograph

Jan Johansson = agent/base/150905 = Q389066

Salgo60 added a comment.EditedJan 6 2020, 2:01 PM

see also

Status update; this was error reported 6 jan 2020, 2 weeks later still no action Europeana... en:Wikipedia has decided to delete Europeana template and links because of bad quality see T243764: en:Wikipedia <-> Europeana Entity has problem with the quality of Europeana Linked data

Europeana seems like a good initiative, but so far with seriously flawed results, and as such should not be template-linked from our articles


The Carl Larsson issue:

  • an painter Carl Larsson agent/base/60886 same as Wikidata Q187310 who died 22 januari 1919 is associated with a picture taken of a photographer with name Carl Larsson 1949

I feel Europeana is missing a sanity check of uploaded material. Things like this makes a community like Wikipedia question Europeana see

Salgo60 added a comment.EditedJan 7 2020, 7:00 AM

Problem Stig Claesson in Europeana associated with a photographer Stig Claesson in Vänersborg

Salgo60 added a comment.EditedJan 7 2020, 7:44 AM

Feels wrong associated Lennart Nilsson in Europeana "agent/base/67704" same as WIkidata Q568506 en:Wikipedia is born 24 augusti 1922 and famous for his photographs of human embryos and other medical subjects

This photo is taken in the north of Sweden. I guess we have 2 persons with the same name and both photographers...

Salgo60 added a comment.EditedJan 7 2020, 8:37 AM

Photograph taken 1910 - 1920 associated with agent/base/29102 same as Wikidata Q1776767 same as sv.wikipedia Elis_Eriksson born 22 augusti 1906 feels wrong. Eriksson is a very common name in Sweden and Elis was common....

Reported at Digitalmuseum:

Salgo60 added a comment.EditedJan 7 2020, 9:23 AM

Name association that cant be correct:

This knife is at Europeana associated with "Gunnar Persson" same as agent/base/23120 same as https://www.wikidata.org/wiki/Q4157818 same as https://sv.wikipedia.org/wiki/Gunnar_Persson_(serieskapare)

I guess its wrong

  • reported to Digitalmuseum

  • reported to Europeana

Salgo60 added a comment.EditedJan 7 2020, 5:28 PM

Name association error: common Swedish name "Karl Larsson"

In Europeana record/154/S_JVM_photo_JvmKBEA00833.html same as Digitalmuseum JvmKBEA00833 is a photo taken 1903

Comment Magnus Sälgö: I guess that this photo is not taken by "Karl Larsson" = agent/base/151802 when he was 10 years old please correct that

Salgo60 added a comment.EditedJan 7 2020, 5:34 PM

Name association error: common Swedish name "Karl Larsson"

In Europeana record/91658/MM_objekt_18595 is a wedding gift 1912 from a grandfather called "Karl Larsson"

  • In Europeana associated "Karl Larsson" that should be grandfather "Karl Larsson" is born 1893 and 19 years old when the gift is given to his grandchild

Please correct this

Salgo60 added a comment.EditedJan 7 2020, 5:41 PM

Name association error: name "Sigurd Wallin"

In Europeana record/916114/HeM_fotografi_731502.html a photo taken of a "Sigurd Wallin" 1912 is associated with agent/base/44233 that was not born 1912

Please correct this

Commented on http://museum.helsingborg.se/web/object/731502#comments

Salgo60 added a comment.EditedJan 12 2020, 4:24 PM
  • name association problem Jenny Lind

' Europeana record/91698/sm_photo_SuM_foto000182

Salgo60 added a comment.EditedJan 14 2020, 7:29 PM

Google Group request for next step